2009.04.?? (0.1.21) 
  Pleiades: 1.3.1.I20090426-2

2009.04.17 (0.1.20) 
  Pleiades: 1.3.1.I20090412

2009.03.26 (0.1.19) Eclipse Ganymede SR2 
  例外処理を少しだけ強化。

2009.03.19 (0.1.18) 1.3.0 - 2009.03.16 相当
  Eclipse 3.5.0 M6 対応。
  Pleiades: 1.3.0 - 2009.03.16

2009.03.12 (0.1.17)
  Eclipse Ganymede SR2 対応。
  Pleiades: 1.3.0.I20090308
  PDT 2.0.0 対応。

2009.02.26 (0.1.16)
  Pleiades: 1.3.0.I20090225
  Eclipse Classic (SDK) 3.4.2 対応。

2009.02.22 (0.1.15)
  Pleiades: 1.3.0.I20090217
  build.xml に blancoNLpackGenerator 利用方法説明のためのタスク "typical-generate-nlpack" を新規作成しました。

2009.02.13 (0.1.14)
  Pleiades: 1.3.0.N20090211
  空白及びコロンを補完する機能を削除。(Pleiades 1.3.0 にゆだねる)
  (削除)conf/additions ディレクトリの内容を一旦削除。(該当分が Pleiadesに含まると考えるため)
  ※Pleiades の conf 内ファイル構成変更に注意。

2009.02.05 (0.1.13)
  Pleiades: 1.3.0.N20090202

2009.01.20 (0.1.12)
  Pleiades のバージョンは (1.2.3) のまま。
  翻訳を追加。Subversive の最新版に対応。

2008.12.28 (0.1.11) 1.2.3 - 2008.11.28 相当
  Pleiades: 1.2.3 - 2008.11.28
  jarファイル類の更新。

2008.11.20 (0.1.10) 1.2.3.p10 相当
  jarフィル類の更新。
  Pleiades: 1.2.3.p10 - 2008.11.17

2008.11.04 (0.1.9) 1.2.3.p9 相当
  Pleiades: 1.2.3.p9 - 2008.11.04

2008.10.30 (0.1.8) 1.2.3.p8 相当
  Pleiades: 1.2.3.p8 - 2008.10.27
  XLIFFライブラリの更新。
  JDK 1.5 対応。
  BlancoNLpackGeneratorTranslationFragmentToPleiadesTask: BundleURIを babel から開始されていることをチェックするかどうかのフラグを追加。

2008.10.14 (0.1.7) 1.2.3.p7.I20081013 に相当
  Pleiades: 1.2.3.p7.I20081013
  (削除)conf/additions ディレクトリの内容を一旦削除。(該当分が Pleiadesに含まると考えるため)

2008.09.29 (0.1.6) 1.2.3.p6 に相当
  Pleiades: 1.2.3.p6 - 2008.09.28
  (削除)conf/additions ディレクトリの内容を一旦削除。(該当分が Pleiadesに含まると考えるため)

2008.09.25 (0.1.5)
  Eclipse 3.4.1 (Ganymede SR1) 対応。

2008.09.24 (0.1.4)
  Pleiades: 1.2.3.p6 - 2008.09.22 Nightly Build

2008.09.16 (0.1.3) 1.2.3.p5 に相当
  Pleiades: 1.2.3.p5 - 2009.09.16
  (削除)conf/additions ディレクトリの内容を一旦削除。(該当分が Pleiadesに含まると考えるため)

2008.09.11 (0.1.2)
  Pleiades: 1.2.3.p5 - 2008.09.08 Nightly Build

2008.09.05 (0.1.1)
  cpp の Antタスク記述にモレがあったので修正。

2008.09.01 (0.1.0)
  Pleiades: 1.2.3.p5 - 2008.09.01 Nightly Build

2008.08.31 (0.0.99)
  CDT 対応。
  Europa 対応。

2008.08.25 (0.0.98)
  Pleiades: 1.2.3.p5 - 2008.08.25 Nightly Build
  (削除)conf/additions ディレクトリの内容を一旦削除。(該当分が Pleiadesに含まると考えるため)

2008.08.18 (0.0.97)
  Pleiades: 1.2.3.p5 - 2008.08.18 Nightly Build
  (削除)conf/additions ディレクトリの内容を一旦削除。(該当分が Pleiadesに含まると考えるため)

2008.08.13 (0.0.96)
  Pleiades: 1.2.3.p5 - 2008.08.11 Nightly Build
  (削除)conf/additions ディレクトリの内容を一旦削除。(該当分が Pleiadesに含まると考えるため)

2008.08.04 (0.0.95)
  Pleiades: 1.2.3.p5 - 2008.08.05 Nightly Build
  翻訳処理時に、Pleiades ニモーニック処理のみの場合には alt-trans をセットしないように変更。

2008.07.28 (0.0.94)
  Pleiades: 1.2.3.p5 - 2008.07.28 Nightly Build
  BlancoNLpackGeneratorTranslateXliffByNLpack: state の指定がある場合にのみセットするように変更。

2008.07.22 (0.0.93) 1.2.3.p4 に相当
  Pleiades: 1.2.3.p4
  (削除)conf/additions ディレクトリの内容を一旦削除。(該当分が Pleiadesに含まると考えるため)

2008.07.17 (0.0.92)
  Pleiades: 1.2.3.p4 - 2008.07.13 Nightly Build
  (削除)conf/additions ディレクトリの内容を一旦削除。(該当分が Pleiadesに含まると考えるため)
  翻訳率算出: state が new と needs-translation のものについては miss としてカウントするよう改善。

2008.07.13 (0.0.91)
  Pleiades: 1.2.3.p4 - 2008.07.07 Nightly Build
  Pleiades: 1.2.3.p4 - 2008.07.08 Nightly Build
  Pleiades: 1.2.3.p4 - 2008.07.11 Nightly Build
  (削除)conf/additions ディレクトリの内容を一旦削除。(該当分が Pleiadesに含まると考えるため)
  プロパティーファイル上の翻訳者向け申し送り事項を検索。
    uri[babel://org.eclipse.datatools.modelbase.sql.query.edit/plugin.properties], [### Note to translators:  do not translate the following three entries.]
    uri[babel://org.eclipse.jst.ws.consumption/org/eclipse/jst/ws/internal/consumption/Consumption.properties], [# SPECIAL NOTE TO TRANSLATORS: Substitution {1} in MSG_ERROR_ADDING_FACETS_TO_PROJECT and]
    uri[babel://org.eclipse.wst.validation.ui/org/eclipse/wst/validation/ui/internal/messages.properties], [# Note to translators, keep the <A> and </A> tags exactly as they are]
    uri[babel://org.eclipse.wst.xsd.ui/plugin.properties], [! Note to translators: The following is the acronym for Uniform Resource Indicator]
  ※その後の調査の結果、もっと大量に存在することが判明…

2008.07.06 (0.0.90)
  Pleiades: 1.2.3.p4 - 2008.07.02 Nightly Build
  (削除)conf/additions ディレクトリの内容を一旦削除。(該当分が Pleiadesに含まると考えるため)
  ymotoさんの翻訳成果を取り込み。
  BlancoNLpackGeneratorOmitPhraseList.tsv のファイル形式についてタイトル行なしに変更。

2008.06.30 (0.0.89) Pleiades: 1.2.3.p3 に相当
  Pleiades: 1.2.3.p3 - 2008.06.29
  (削除)conf/additions ディレクトリの内容を一旦削除。(該当分が Pleiadesに含まると考えるため)
  ymotoさんの翻訳成果を取り込み。

  TODO 良くあるTYPO
  (NG例) レポジトリー, 全て, 既に

2008.06.26 (0.0.88)
  Eclipse Ganymede マイルストーン版 RC1
  Pleiades: 1.2.3.p3 - 2008.06.25 Nightly Build
  →「リフレッシュ」版

2008.06.25 (0.0.87)
  Eclipse Ganymede 正式版対応。
  Pleiades: 1.2.3.p3 - 2008.06.24 Nightly Build
  (削除)conf/additions ディレクトリの内容を一旦削除。(該当分が Pleiadesに含まると考えるため)

2008.06.22 (0.0.86)
  Pleiades: 1.2.3.p3 - 2008.06.19 Nightly Build
  (削除)conf/additions ディレクトリの内容を一旦削除。(該当分が Pleiadesに含まると考えるため)
  ymotoさんのレビュー結果を反映。
  BlancoNLpackGeneratorDiffXliffPleiadesToTranslationFragment: フラグによる追加抑制機能を実装。

2008.06.16 (0.0.85)
  Pleiades: 1.2.3.p3 - 2008.06.16 Nightly Build
  (削除)conf/additions ディレクトリの内容を一旦削除。(該当分が Pleiadesに含まると考えるため)
  Eclipse BABEL 専用プロパティファイル生成タスクを追加。

2008.06.13 (0.0.84)
  Pleiades: 1.2.3.p3 - 2008.06.13 Nightly Build
  (削除)conf/additions ディレクトリの内容を一旦削除。(該当分が Pleiadesに含まると考えるため)
  複数 OS 言語パック対応。
  ymotoさんのレビュー結果を反映。

2008.06.11 (0.0.83)
  Pleiades: 1.2.3.p3 - 2008.06.11 Nightly Build
  (削除)conf/additions ディレクトリの内容を一旦削除。(該当分が Pleiadesに含まると考えるため)
  Eclipse 3.4 RC4 対応。
  プロパティファイル読み込みの改善を試みる。
  pleiadesへのフィードバックに XLIFF の note の from が渡るように改善。

2008.06.09 (0.0.82)
  Pleiades: 1.2.3.p3 - 2008.06.07 Nightly Build
  (削除)conf/additions ディレクトリの内容を一旦削除。(該当分が Pleiadesに含まると考えるため)

2008.06.05 (0.0.81)
  Pleiades: 1.2.3.p3 - 2008.06.05 Nightly Build
  (削除)conf/additions ディレクトリの内容を一旦削除。(該当分が Pleiadesに含まると考えるため)
  csv2pleiades: 重複データを検知する仕組みを導入。
  merge改善版の取り込み。

2008.06.03 (0.0.80)
  前後に空白や後方にコロンが付いた場合の悪あがき処理を追加。
  pleiades-validateに & チェックを追加しました。
  pleiades転送データに note を含むように改良。
  ymotoさんのレビュー結果を conf/additions に展開。
  (削除)QuoteCsvFile.java

2008.06.02 (0.0.79)
  Pleiades: 1.2.3.p3 - 2008.06.02 Nightly Build
  (削除)conf/additions ディレクトリの内容を一旦削除。(該当分が Pleiadesに含まれたため)

2008.06.01 (0.0.78)
  Eclipse 3.4RC3 対応。

2008.05.30 (0.0.77)
  翻訳調整。
  blancoNLpackXliff: 2008.05.30 (0.0.19) とセット。

2008.05.29 (0.0.76)
  merge および pleiades翻訳の際のオプションスイッチを追加。
  x2p の際に state を見ながら処理を行っていたが、この処理を除去。stateに関係なく、生成するようにする。
  blancoNLpackXliff: 2008.05.29 (0.0.18) とセット。

2008.05.27 (0.0.75)
  Pleiades: 1.2.3.p3 - 2008.05.27 Nightly Build
  blancoNLpackXliff: 2008.05.27 (0.0.17) とセット。
  (削除)conf/additions ディレクトリの内容を一旦削除。
  Eclipse Subversive 0.7.0 に対応開始。
  C:/var/cd-imageについて定数化。
  conf/additionsを用いた翻訳パッチを利用開始。
  Eclipse 3.4RC2対応。

2008.05.22 (0.0.74)
  XLIFFとPleiadesの差分: 同一文字列出力の抑制機能を実装。
  p2x: sourceの変更に対応。
  (build.xml) Eclipse 3.4 RC1 対応。

2008.05.21 (0.0.73)
  *.png などを除外する機能を追加。
  targetが既にある場合にも omit するかどうかのフラグを追加。
  (blancoNLpackXliff)2008.05.21 (0.0.15)

2008.05.20 (0.0.72)
  Pleiades: 1.2.3.p1 - 2008.05.19 Nightly Build

2008.05.16 (0.0.71)
  Eclipse 3.4 中心に移行。
  (ant)Distro について M7 ベースをデフォルトに変更。
  (prop)プロパティキーの読み込みを改善。
  (削除)BlancoNLpackGeneratorCleanXliffTask.xls
  (削除)BlancoNLpackGeneratorMergeXliffTask.xls
  (削除)BlancoNLpackGeneratorCleanXliffProcessImpl.java
  (削除)BlancoNLpackGeneratorCleanXliffBatchProcess.java
  (削除)BlancoNLpackGeneratorCleanXliffProcess.java
  (削除)BlancoNLpackGeneratorCleanXliffTask.java
  (削除)BlancoNLpackGeneratorCleanXliffProcessInput.java
  (削除)BlancoNLpackGeneratorMergeXliffProcessImpl.java
  (削除)BlancoNLpackGeneratorMergeXliffBatchProcess.java
  (削除)BlancoNLpackGeneratorMergeXliffProcess.java
  (削除)BlancoNLpackGeneratorMergeXliffTask.java

BlancoNLpackGeneratorMergeXliffProcessInput.java

2008.05.14 (0.0.70)
  OmegaTが訳出した alt-trans を clean 時に削除する仕様を追加。
  trans-unit の noteを転送する機能の実装。

2008.05.13 (0.0.69)
  BlancoNLpackGeneratorMergeXliff: translate="no"を転送する仕様を追加。

2008.05.09 (0.0.68)
  Eclipse 3.3.2 用の最終版のためのモジュール。
  Pleiades: 1.2.2 - 2008.05.08
  ※安定版リリースを取り込み。

2008.04.25 (0.0.67)
  XLIFF と Pleiades の差分を取得する Ant Task を新規作成。
    Pleiadesへのフィードバック機能一式を実現。

2008.04.24 (0.0.66)
  builc.xml: 設定情報を別ファイル化。
  TODO Taskに件数報告機能が欲しい。verbose=false の場合にも、分かるようにしたいため。
  TODO targetがあるのに translate->noに設定した場合には警告する機能が欲しい
  (jar)xmlblindingを更新。
  (削除)DiffXliffAndPleiadesToTranslationFragment.java 一時的に作成したが結局は削除。

2008.04.23 (0.0.65)
  build.xml: Europa Winter に cpp, rcp を追加。

2008.04.23 (0.0.64)
  build.xml: WTP 2.0.2 を取り込み。
  MergeXliff に targetを訳すかどうかフラグを追加。

2008.04.22 (0.0.63)
  言語パックをXLIFF化するツールがバグっていて動作しなくなっていたのを修正。
  WTP 1.5.1 言語パック取り込みのための Antタスクを追加。

2008.04.22 (0.0.62)
  XLIFFクリーンナップのためのタスクを追加。

2008.04.20 (0.0.61)
  Pleiades: 1.2.2.p5 - 2008.04.13 Nightly Build
  IDE for Java Developer に試しに着手する。

2008.04.18 (0.0.60)
  XLIFFマージを実装。
  Eclipse 3.2.1 の言語パック抽出について、Ecilpse と言語パックとを完全一致させました。
  babel://org.eclipse.ui.workbench/org/eclipse/ui/internal/keys/AbstractKeyFormatter.properties	を omitから解除。
  id, Id, US, en, ok を omitフレーズから解除。
  x2p: source と 入力が異なる場合のプロパティ生成を抑制。
  XLIFFキャッシュ機能を実装。

2008.04.17 (0.0.59)
  このバージョンから blancoNLpackXliff プロジェクトが別途必要になります。

  srcフォルダの以下のファイルを削除。
  (削除)BlancoNLpackGeneratorConvertProperties2XliffTaskProcessImpl.java
  (削除)BlancoNLpackGeneratorConvertXliff2PropertiesTaskProcessImpl.java
  (削除)BlancoNLpackGeneratorOmitXliffTaskProcessImpl.java
  (削除)BlancoNLpackGeneratorTranslateXliffByNLpackTaskProcessImpl.java
  (削除)BlancoNLpackGeneratorTranslateXliffByPleiadesTaskProcessImpl.java
  blancoフォルダの以下のファイルを削除。
  (削除)BlancoNLpackGeneratorConvertProperties2XliffTaskBatchProcess.java
  (削除)BlancoNLpackGeneratorConvertProperties2XliffTaskProcess.java
  (削除)BlancoNLpackGeneratorConvertProperties2XliffTaskTask.java
  (削除)BlancoNLpackGeneratorConvertXliff2PropertiesTaskBatchProcess.java
  (削除)BlancoNLpackGeneratorConvertXliff2PropertiesTaskProcess.java
  (削除)BlancoNLpackGeneratorConvertXliff2PropertiesTaskTask.java
  (削除)BlancoNLpackGeneratorOmitXliffTaskBatchProcess.java
  (削除)BlancoNLpackGeneratorOmitXliffTaskProcess.java
  (削除)BlancoNLpackGeneratorOmitXliffTaskTask.java
  (削除)BlancoNLpackGeneratorTranslateXliffByNLpackTaskBatchProcess.java
  (削除)BlancoNLpackGeneratorTranslateXliffByNLpackTaskProcess.java
  (削除)BlancoNLpackGeneratorTranslateXliffByNLpackTaskTask.java
  (削除)BlancoNLpackGeneratorTranslateXliffByPleiadesTaskBatchProcess.java
  (削除)BlancoNLpackGeneratorTranslateXliffByPleiadesTaskProcess.java
  (削除)BlancoNLpackGeneratorTranslateXliffByPleiadesTaskTask.java
  (削除)BlancoNLpackGeneratorConvertProperties2XliffTaskProcessInput.java
  (削除)BlancoNLpackGeneratorConvertXliff2PropertiesTaskProcessInput.java
  (削除)BlancoNLpackGeneratorOmitXliffTaskProcessInput.java
  (削除)BlancoNLpackGeneratorTranslateXliffByNLpackTaskProcessInput.java
  (削除)BlancoNLpackGeneratorTranslateXliffByPleiadesTaskProcessInput.java

  (削除確認)conf/xliff
  omit処理が 長さ0の文字列を適切に処理できるよう修正。

2008.04.16 (0.0.58)
  (削除確認)BlancoNLpackGeneratorManifest.java
  (jar) blancoProperties, blancoXliff のjarファイルを更新。
  XLIFF: タスクをXLIFF対応に変更開始。
  Eclipse 3.4M6のAntタスクの箇所でプロパティファイルが処理できなくなっていたのを修正。

2008.04.11 (0.0.57)
  XLIFF: タスクを調整中。

2008.04.10 (0.0.56)
  除外タスクを追加。

2008.04.10 (0.0.55)
  OASIS XLIFF 対応が かなり進展しました。
  (削除)BlancoNLpackGeneratorManifest.xls
  (削除)BlancoNLpackGeneratorPropertiesProcessor.java
  (削除)BlancoNLpackGeneratorPluginDirectory2Jar.java
  (削除)BlancoNLpackGeneratorUtil.java
  (削除)BlancoNLpackGeneratorManifestReader.java
  (削除)BlancoNLpackGeneratorManifestWriter.java
  (削除)BlancoNLpackGeneratorManifest.java

2008.04.08 (0.0.54)
  ・プラグインディレクトリを走査する機能を抽象クラスとして抽出しました。
  ・ディレクトリ処理を改善しました。
    結果として翻訳率が下がります。

2008.04.07 (0.0.53) OASIS XLIFF対応開始
  以下のようなタスクを想定中
  ●Javaアプリケーション(主にEclipseプラグイン)から XLIFFファイル(*.xlf)を作成
    説明: sourceのみ記入されたXLIFFファイルの作成。
    タスク名(案): BlancoNLpackGeneratorConvertProperties2Xliff
    詳細: targetが無い状態

  ●Pleiadesを使って XLIFFファイル(*.xlf)を翻訳
    説明: XLIFFファイルの targetをPleiadesを使って記入
    タスク名(案): BlancoNLpackGeneratorTranslateXliffByPleiades
    詳細: 既に target が存在する場合には alt-trans として追加
    詳細: target の state は needs-review-translation

  ●言語パックを使って XLIFFファイル(*.xlf)を翻訳
    説明: XLIFFファイルの targetをPleiadesを使って記入
    タスク名(案): BlancoNLpackGeneratorTranslateXliffByNLpack
    詳細: 既に target が存在する場合には alt-trans として追加
          同じsourceなのに 異なるtargetの場合には alt-transを追加。
    詳細: target の state は needs-review-translation

  ●Javaアプリケーション(主にEclipseプラグイン) と XLIFFファイル(*.xlf) から言語パックを作成
    説明: 入力を順次読みながら XLIFFを適用しつつ 言語パックを作成。
    タスク名(案): BlancoNLpackGeneratorConvertXliff2Properties

  ●targetが未設定の場合、sourceをtargetに機械的にコピー
    説明: 詳細は未設計。ymotoさん希望仕様。

2008.04.06 (0.0.52) 非XLIFF対応の最終版
  Pleiades: 1.2.2.p5 - 2008.04.07 Nightly Build

2008.04.06 (0.0.51)
  Pleiades: 1.2.2.p5 - 2008.04.06 Nightly Build
  Eclipse 3.2.1言語パックを適切に処理できるように改善。
  与えられたファイルが処理すべき対象のプロパティファイルであるかどうかの判定ロジックを改善。

2008.04.02 (0.0.50)
  TranslationFragment: 検索ダイアログを Eclipse 3.2言語パック相当にする

2008.04.01 (0.0.49)
  Eclipse 3.4M6対応。

2008.03.31 (0.0.48)
  Pleiades: 1.2.2.p5 - 2008.03.31 Nightly Build
  ・readme_pleiades.txt の記述内容充実。

2008.03.30 (0.0.47)
  Pleiades: 1.2.2.p5 - 2008.03.31 Nightly Build

2008.03.30 (0.0.46)
  Pleiades: 1.2.2.p5 - 2008.03.30 Nightly Build
  ・翻訳調整のうち 主なもの
    Remove -> 除去       (ちなみに Delete -> 削除)
    Scope  -> 検索範囲
    Key    -> 鍵
  ・ニモーニック変換精度の向上

2008.03.29 (0.0.45)
  (削除)ParseResult.java
  Result.zipの実行結果サマリを取得するTaskを追加。

2008.03.28 (0.0.44)
  翻訳の妥当性検証ツールの試作。

2008.03.25 (0.0.43)
  (TranslationFragment) {0} の翻訳モレを修正。
  (削除)TranslationFragmentToPleiades.java

2008.03.25 (0.0.42)
  (非互換性情報)ResultDetailのCSV形式に Note フィールドを追加しました。
  ResultDetailをソートをする簡単なユーティリティを試作。

2008.03.23 (0.0.41)
  DiffResultDetail から行を抽出する簡単なユーティリティを試作。

2008.03.23 (0.0.40)
  Pleiades: 1.2.2.p5 - 2008.03.23 Nightly Build
  (blancoCsv)改行付きデータ読み込みにバグがあったのを修正。(改行が無いことになってしまう)

2008.03.22 (0.0.39)
  Pleiades: 1.2.2.p5(?) - 2008.03.22 Nightly Build
  ・Subversive_1.1.9.02 の翻訳が改善されています。

2008.03.21 (0.0.38)
  翻訳フラグメント 仕様策定および実装
    日本語: 翻訳フラグメント
    英語  : translation fragment 
    短縮形: frgmnt
    入力  : ResultDetail.csv 形式 (tsvにあらず！)
    ファイル: BlancoNLpackGeneratorTranslationFragment.csv

2008.03.20 (0.0.37)
  ParseResult(仮名)の小数点桁数を 1から2 に変更。
  Pleiades: 1.2.2.p4 - 2008.03.19 Nightly Build (p4最終版)

2008.03.19 (0.0.36)
  Pleiades: 1.2.2.p4 - 2008.03.19 Nightly Build

2008.03.18 (0.0.35)
  Pleiades: 1.2.2.p4 - 2008.03.18 Nightly Build

2008.03.17 (0.0.34) β2 マイルストーン版
  Java 1.5で実行できなくなっていた不具合を修正。
  TODO キーと値を = の代わりに : が分離する場合についての考慮が未実装。

2008.03.17 (0.0.33)
  Pleiades: 1.2.2.p4 - 2008.03.17 Nightly Build

2008.03.16 (0.0.32)
  プロパティファイルのキー値にエスケープが入っている場合にも適切に動作するように改善。
   (Ganymede に そのようなもの (ユニコード値) が存在)
  TODO 文字列に = が入るケースは未対応(未確認)。

2008.03.16 (0.0.31)
  Pleiades: 1.2.2.p4 - 2008.03.16 Nightly Build
  一括ビルド用Antスクリプトを新規作成。
  TODO merge時に omit表を反映できる機能を追加すること。
       ただし、反映したが変更されたという新しいステータスを確認すること。

2008.03.16 (0.0.30)
  Antスクリプトを少し改善。

2008.03.15 (0.0.29)
  Antスクリプトを少し改善。echoを追加。

2008.03.15 (0.0.28) 開発版
  除外設定を 可能な範囲で Pleiades と同期。
    babel://org.eclipse.jst.pagedesigner/org/eclipse/jst/pagedesigner/JMTResources.properties?key=ColorSupport.CommandLabel.Redなど
      Pleiades [excludeWhere] org.eclipse.jst.pagedesigner.PDPlugin 相当
    babel://org.eclipse.tptp.platform.agentcontroller/org/eclipse/tptp/platform/agentcontroller/config/SetConfig.properties?key=Config.AgentControllerConfig.LoggingLevel.Tagなど
      Pleiades [excludeWhere] org.eclipse.tptp.platform.agentcontroller.config.ConfigUtility 相当

2008.03.14 (0.0.27) 開発版
  omit表を整理(削減)
    →完全な整理は実施できていない。ツールなどの支援も必要と考える。

2008.03.12 (0.0.26) 開発版
  (merge)ignoreという判断を追加。

2008.03.12 (0.0.25) 開発版
  change.io が適切に出力されない間違いを修正。

2008.03.11 (0.0.24) 開発版
  change.o が適切に出力されない間違いを修正。

2008.03.11 (0.0.23) 開発版
  Antタスクの説明を強化。
  名称調整。
  (削除)BlancoNLpackGeneratorPropertiesParserBatchProcess.java
  (削除)BlancoNLpackGeneratorPropertiesParserProcess.java
  (削除)BlancoNLpackGeneratorPropertiesParserTask.java
  (削除)BlancoNLpackGeneratorPropertiesParserProcessInput.java
  (削除)BlancoNLpackGeneratorPropertiesParserTask.xls
  (削除)BlancoNLpackGeneratorPropertiesParserProcessImpl.java
  (削除)BlancoNLpackGeneratorPropertiesParser.java

2008.03.11 (0.0.22) 開発版
  3タスク整備。
   - BlancoNLpackGeneratorDiffResultDetailTask
   - BlancoNLpackGeneratorMergeResultDetailTask
   - BlancoNLpackGeneratorPropertiesParserTask
  blancoCsv更新。

2008.03.11 (0.0.21) 開発版
  微調整。

2008.03.11 (0.0.20) 開発版
  差分ユーティリティの実装。

2008.03.11 (0.0.19) 開発版
  Pleiades: 1.2.2.p4 - 2008.03.11 Nightly Build
  改行付きCSVファイル読み込みの調査。

2008.03.10 (0.0.18) 開発版
  blancoCsv: 最新開発版で更新。
  (削除)blancocodegenerator-*.jar
  (antスクリプト)「run.convert.phase2」ターゲットを削除。

2008.03.09 (0.0.17) 開発版
  Pleiades: 1.2.2.p3 - 2008.03.09 Nightly Build  
  プラグイン名に バンドルシンボル名 + ロケール + NLS Support と表示するよう変更。(Eclipse Babel と仕様合わせ) 

2008.03.08 (0.0.16) 開発版
  WTPについて 試験的に対応。
  サフィックスについて nlja から nl_ja に変更。これは Eclipse Babel が 同様のサフィックスを付与していることを踏襲したものです。
  ひとつもプロパティファイル生成をしない場合にも 出力先ディレクトリを作成するよう変更しました。

2008.03.08 (0.0.15) 開発版
  除外フレーズについて Pleiades設定を参考に一部を追加。
  TPTP, RSE について試験的に対応。

2008.03.07 (0.0.14) 開発版
  Europa Winter 対応。

2008.03.06 (0.0.13) 開発版
  BlancoNLpackGeneratorOmitPhraseList.tsv: 新たに作成。
  omit.u, omit.m, omit.p, omit.s の4分類に変更。

2008.03.06 (0.0.12) 開発版
  Pleiades: 1.2.2.p3 - 2008.03.06 Nightly Build
  BlancoNLpackGeneratorOmitList.tsv: 除外URIを追加。

2008.03.05 (0.0.11) 開発版
  Pleiades: 1.2.2.p3 - 2008.03.05 Nightly Build

2008.03.04 (0.0.10) 開発版
  Pleiades: 1.2.2.p3 - 2008.03.04 Nightly Build
  ※なお、ビルド番号は 0.0.99 を目標に増やし続ける予定です。

2008.03.02 (0.0.9) 開発版
  MANIFEST.MFから名称を取得できなかった代替処理の際に、
    ターゲット名に .jar が含まれる場合にはこれを除去するようにしました。

2008.02.28 (0.0.8) 開発版
  Eclipse 3.3.2 対応。

2008.02.27 (0.0.7) β1版
  プラグインjarファイルから MANIFEST.MFが発見できなかった場合に、やむをえずファイル名から情報を取得するように仕様変更。
  フラグメント.propertiesについて、日付領域を除去。

2008.02.26 (0.0.6) 開発版
  除外ファイルの内容を整備。
  <excludeTrace className="org.eclipse.debug.ui.actions.LaunchAction"/>
    の対応箇所は見当たらず。

2008.02.26 (0.0.5) 開発版
  Pleiades: : 1.2.2.p2 - 2008. Nightly Build
  なお、Pleiadesでの改善項目のひとつである、以下の除外設定については blancoNLpackGenerator側では未対応。
  ※除外設定については Pleiades と blancoNLpackGenerator とで実装が異なるためです。
    <!-- 除外 (メニュー - 実行ヒストリー名) 2008.02.23 -->
    <excludeTrace className="org.eclipse.debug.ui.actions.LaunchAction"/>

2008.02.25 (0.0.4) 開発版
  ニモーニック変換し過ぎの除外設定を辞書ファイルとして分離。
    →これにより、翻訳が適切におこなわれた際にはニモーニック変換し過ぎ除外設定が無効化されるようになりました。

2008.02.24 (0.0.3) 開発版
  Eclipse SDK 3.3.1.1 の ニモーニック変換し過ぎの除外設定を実施。

2008.02.24 (0.0.2) 開発版
  ニモーニック変換について扱うことが出来るように改善。
    ※この版では、ニモーニック変換し過ぎの除外設定を実施していません。
  build.xmlを分割実施。

2008.02.22 (0.0.1) 名称変更！ バージョン番号を 0.0.1 に戻す！
  rename: blancoEclipseBabel -> blancoNLpackGenerator
  version: 0.0.1 (これは Eclipseコントリビュートを念頭においた措置です)
    0.0.9: ベータ版
    0.1.0: 正式版 (目安), なんとか 0.3.0 まででバージョン番号消費を抑えておきたい。
    0.5.0: Eclipseにコントリビュート (目安)
  EPLに関する記述を実施。
  TODO: 開始・終了メッセージの blancoMessage対応。
  TODO: 依存するライブラリのEPL化検討。

2008.02.18 (0.5.5) 開発版
  メッセージ文字列の外部化 (前回の外部化以降の未実施部分)

2008.02.18 (0.5.4) 開発版
  除外項目の追記。
  文字列による除外判定を追加。
  大きなバグを発見。

2008.02.17 (0.5.3) 開発版
  Pleiades の 静的ジェネレーター向け(新規クラス)を利用できるので暫定的に利用していた除外指定を解除。
    →翻訳結果に変化が無いことは確認済み。

2008.02.17 (0.5.2) α5版
  Pleiades の 静的ジェネレーター向け(新規クラス)に対応。
    クラス名: jp.sourceforge.mergedoc.pleiades.resource.TranslationDictionary
  (削除)NullInstrumentation.java
  Pleiades から新たに提供していただいた新クラスおよびメソッドにより 一部誤翻訳してしまっていた現象を回避することができるようになりました。

2008.02.16 (0.5.1) 開発版
  プロバイダ名を大文字始まりに変更。

2008.02.15 (0.5.0) 開発版
  jarファイル中のjarファイルを処理できるように改善。
  (今までの版では jarファイル中のjarファイルを処理できずにいました)

2008.02.15 (0.4.8) α４版
  除外項目を追加。
  ログファイル(csv)にプロダクト名とバージョンを出力するように変更。

2008.02.15 (0.4.7) 開発版
  除外項目をざっくりと追加。

2008.02.14 (0.4.6) 開発版
  暫定対処: フォント名翻訳しすぎへの対応。
    http://lists.sourceforge.jp/mailman/archives/mergedoc-dev/2008-February/000039.html
    (1つ設定漏れがあったのを修正)

2008.02.14 (0.4.5) 開発版
  BlancoEclipseBabelOmitListCsv.xls を追加。
  著作権表示のとりあえずの調整。
  サフィックスを変更 -> nlja
  暫定対処: フォント名翻訳しすぎへの対応。
    http://lists.sourceforge.jp/mailman/archives/mergedoc-dev/2008-February/000039.html
  最低レベルの JavaDoc整備。

2008.02.11 (0.4.4) α３版
  CSVファイルの命名を少し変更。
  (削除)NullInstrumentation.java (移動)
  (削除)BlancoEclipseBabelLoadPleiadesDictionary.java (移動)

2008.02.11 (0.4.3) 開発版
  不要なキーを出力しているバグを修正。
  TODO 処理結果報告CSVファイルに blancoEclipseBabelのバージョンを出力したい。
  TODO CSVのタイトルは英文が妥当と考える。

2008.02.09 (0.4.2) 開発版
  blancoCsv導入。
  処理結果の報告機能を充実。
  →その結果、バグが一つ見つかりました。

2008.02.08 (0.4.1) 開発版
  プラグイン＋プロパティファイルをあらわす URI表現を試作。
  動作ログ機能の実装。

2008.02.07 (0.4.0) アルファ２版
  この版をα２版とします。
  TODO フラグメントプロパティに日付は不要か検討。(これのせいで毎回差分が出てしまう)
  TODO フラグメントプロパティにコメント行追加が必要か検討。
  TODO フラグメントプロパティは そもそも存在の必要があるのかどうか検討。
  TODO plugin.propertiesのプラグイン名をマニフェストに引用できないか検討。
  TODO 開始時メッセージ欲しい。

2008.02.06 (0.2.8) 開発版
  プラグインディレクトリから MANIFEST.MFを読み込めなかった場合の異常系に対応。
  TODO about.htmlをプラグインディレクトリ直下に追加すること。

2008.02.06 (0.2.7) 開発版
  (削除)BlancoEclipseBabelUpdateNl1Jar.java
  readme.txtを少し変更。
  .v2008xxxx のような日付を付与する処理は一旦解除。
  ベンダー名の外だし。
  MANIFEST.MFの情報を元に、出力先に反映する (しかし場合によっては入力ファイルやディレクトリ名を頼りに処理)
  メッセージの外部化 (blancoMessage対応)
  blancoConstants対応
  プロパティファイルの先頭に「initial generation - blancoEclipseBabel and Pleiades.」を追加。
  生成後プラグインの jarファイル化機能の追加。
  自動生成後のプラグインを 更に zip ファイル化する機能の追加。
  TODO featuresについて、シンボル名が org.eclipse.cvs_1.0.1.R33x_r20070802-7C79_9_KKG-mDM9e3H5D になっているのを見直し。
  TODO blancoStringGroup を導入して、MANIFEST.MFのキーワードを一括処理すること。

2008.02.05 (0.2.6) 開発版
  定数定義書、リソースバンドル定義書、メッセージ定義書を導入。
  TODO 国際化対応。

2008.02.04 (0.2.5) 開発版
  最低限のリファクタリングを実施。

2008.02.04 (0.2.4) 開発版
  (削除)BlancoEclipseBabelConstants.java
  プラグイン名およびバージョンを MANIFEST.MFから取得する機能の追加。
    (取得できない場合には、ディレクトリ名・ファイル名から取得←featuresの場合に必要)
  Apache Ant および バッチによるエントリポイントを作成 (blancoAntTaskの導入)
 [TODO]
    *  生成されるプラグインの妥当性検証
          o MANIFEST.MF記述において、対象となる元プラグインのバージョン指定を厳格化 (オプション機能)
            ※しかしデメリットも多そう。
          o 名前空間の妥当性
                + 「.nl1」の命名の妥当性。
                  というか 多分ダメ。
                + 「NLpack1」の命名の妥当性。
                  同上
                + プラグインバージョンの名前の妥当性。
                  日付を付与だけで良いのか？ 
    * 機能
          o blancoEclipseBabel 自身の Eclipseプラグイン化
          o 追加的な変換辞書機能の提供
                + blancoStringConverter ベース
                  ただし、通常の自動生成系ではなく変換定義の Excelブック形式による実現などが妥当か？
                + 「変換しない」を表現。(Pleiadesとの連携性は? あちらは クラスで判定の模様…)
                + ターゲットとなる プロパティファイルおよびプロパティの表現方法
                  プロパティをURI的に表現する。そして、変換及び除外についての表現。 
    * リファクタリング
          o 最低限レベルのリファクタリングの実施
          o ソースコードが 現時点では みにくい。気に入らない。でもまあ 動けばいいか…JavaDocや コメントも あまり入っていない 

2008.02.01 (0.2.3) 開発版
  TODO は整理されました。

2008.02.01 (0.2.2) 開発版
  入力ディレクトリと出力ディレクトリを分けました。(リファクタリング)

2008.01.31 (0.2.1) アルファ版
  必要な場合にのみ MANIFEST.MF関連ファイルを作成するように変更。
  pleiades 最新版の取り込み。
    ・plugins/jp.sourceforge.mergedoc.pleiades/pleiades.jar
    ・plugins/jp.sourceforge.mergedoc.pleiades/conf ディレクトリ
    ・plugins/jp.sourceforge.mergedoc.pleiades/lib ディレクトリ

2008.01.31 (0.2.0) アルファ版
  このバージョンにおいて、一通りの妥当と思われる動作を得ることが出来ます。
  一旦、これを基準版と位置づけます。

2008.01.31 (0.0.8)
  展開済ディレクトリの処理を追加。
  削除: BlancoEclipseBabelProcessExpandedDirectory.java

2008.01.31 (0.0.7)
  プロパティファイルの読み込みを改善。

2008.01.31 (0.0.6)
  プロパティ値の改行用エスケープの処理を追加。

2008.01.30 (0.0.5)
  readme.txtを強化。

2008.01.30 (0.0.4) 実験的
  おおよその日本語化に成功。

2008.01.29 (0.0.3) 実験的
  最低レベルの実装をおこないました。

2008.01.29 (0.0.2) 実験的
  conf/以下のプロパティファイル漏れを1ファイル修正。

2008.01.28 (0.0.1) 実験的
  新規作成
  Pleiadesを利用して Eclipseのプロパティファイルを英語から日本語に変換します。

  プラン
  入力: org.eclipse.core.boot_3.1.100.v20060603.jar
  出力: org.eclipse.core.boot_3.1.100.v20060603.blanconl20080128.jar
      (プロパティファイルのみ変換)
